package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

/**
 * @Author zhuxiaofeng
 * @ClassName BakingIndexComment
 * @Date
 */
public class BakingIndexComment extends BaseIndexComment {


    /**
     * 商品名称
     **/
    public String goodsName;

    /**
     * 商品编码
     **/
    public String itemBarcode;

    /**
     * 环境评价分
     **/
    public Integer envScore;

    /**
     * 包装评价分
     **/
    public Integer packScore;

    /**
     * 口味评价分
     **/
    public Integer tasteScore;

    /**
     * 服务评价分
     **/
    public Integer serverScore;

    /**
      * 物流评价分
     **/
    public Integer deliveryScore;

    /**
     * 评价内容格式 1文字 2图文 3无内容
     **/
    public Integer commentContent;

    /**
     * 商品订单来源
     * 0：门店
     * 1：商城
     */
    private Integer goodsOrderSource;

    public Integer getGoodsOrderSource() {
        return goodsOrderSource;
    }

    public void setGoodsOrderSource(Integer goodsOrderSource) {
        this.goodsOrderSource = goodsOrderSource;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getItemBarcode() {
        return itemBarcode;
    }

    public void setItemBarcode(String itemBarcode) {
        this.itemBarcode = itemBarcode;
    }

    public Integer getEnvScore() {
        return envScore;
    }

    public void setEnvScore(Integer envScore) {
        this.envScore = envScore;
    }

    public Integer getPackScore() {
        return packScore;
    }

    public void setPackScore(Integer packScore) {
        this.packScore = packScore;
    }

    public Integer getTasteScore() {
        return tasteScore;
    }

    public void setTasteScore(Integer tasteScore) {
        this.tasteScore = tasteScore;
    }

    public Integer getServerScore() {
        return serverScore;
    }

    public void setServerScore(Integer serverScore) {
        this.serverScore = serverScore;
    }

    public Integer getCommentContent() {
        return commentContent;
    }

    public void setCommentContent(Integer commentContent) {
        this.commentContent = commentContent;
    }

    public Integer getDeliveryScore() {
        return deliveryScore;
    }

    public void setDeliveryScore(Integer deliveryScore) {
        this.deliveryScore = deliveryScore;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
